Module | DRb::DRbObservable
In: | drb/observer.rb

### Methods

notify_observers

### Included Modules

Observable

### Public Instance methods

notify_observers(*arg)

[Source]

    # File drb/observer.rb, line 7
        def notify_observers(*arg)
          if defined? @observer_state and @observer_state
            if defined? @observer_peers
              for i in @observer_peers.dup
                begin
                  i.update(*arg)
                rescue
                  delete_observer(i)
                end
              end
            end
            @observer_state = false
          end
        end

[Validate]